Skip to main content
GET
/
agency
/
wallet
/
transactions
List Transactions
curl --request GET \
  --url https://api.travomatrix.com/api/v1/agency/wallet/transactions \
  --header 'X-API-Key: <api-key>'
[
  {
    "id": "<string>",
    "agent_id": "<string>",
    "booking_id": "<string>",
    "type": "CREDIT",
    "amount_paise": 123,
    "balance_after": 123,
    "created_at": "2023-11-07T05:31:56Z"
  }
]
Retrieve the immutable ledger of all financial transactions (CREDIT, DEBIT, REFUND, REVERSAL) for a specific agency.

Authorizations

X-API-Key
string
header
required

Query Parameters

agent_id
string
required

Response

200 - application/json

List of wallet transactions

id
string
agent_id
string
booking_id
string
type
enum<string>
Available options:
CREDIT,
DEBIT,
REFUND,
REVERSAL
amount_paise
integer
balance_after
integer
created_at
string<date-time>